tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Denying #!/usr/bin/env as a valid interpreter

On Wed, Apr 20, 2011 at 3:05 AM, David Sainty <> wrote:
> That said, it wouldn't be crazy to support a symlink from "python" to
> PYTHON_VERSION_DEFAULT for the benefit of scripts outside Pkgsrc.  Maybe
> as a separate package...

And that's exactly what pkg_alternatives is supposed to do.  Please do
not blindly create a 'python' link to the version defined by
PYTHON_VERSION_DEFAULT.  This is not binary-package-friendly because
the link cannot be changed once the package is created.

Julio Merino / @jmmv

Home | Main Index | Thread Index | Old Index